### Signal

# Gtk Overlay::get-child-position

#### Declaration

    gboolean
    get_child_position (
      GtkOverlay* self,
      GtkWidget* widget,
      GdkRectangle* allocation,
      gpointer user_data
    )

#### Description [src]

Emitted to determine the position and size of any overlay child widgets.

A handler for this signal should fill `allocation` with the desired position and size for `widget`, relative to the ‘main’ child of `overlay`.

The default handler for this signal uses the `widget`‘s halign and valign properties to determine the position and gives the widget its natural size (except that an alignment of `GTK_ALIGN_FILL` will cause the overlay to be full-width/height). If the main child is a `GtkScrolledWindow`, the overlays are placed relative to its contents.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The child widget to position.

  The data is owned by the caller of the function.

`allocation`

  Type: `GdkRectangle`

  Return location for the allocation.

  The argument will be set by the function.
  The returned data is owned by the function.

#### Return value

Type: `gboolean`

`TRUE` if the `allocation` has been filled.